admin管理员组

文章数量:815885

Vue使用css预处理器(Less、Sass、Stylus)

1、Less的安装与使用(Less官网),注意less-loader版本不要安最新的,不然报一些莫名的错误。

npm install less less-loader@7 -D
<style scoped lang="less">//样式穿透使用/deep/
</style>

2、Sass的安装使用(Sass官网)。

npm install sass sass-loader -D
<style scoped lang="scss">//样式穿透::v-deep
</style>

3、Stylus的安装使用(Stylus官网、Stylus中文文档)

npm install stylus stylus-loader -D
<style scoped lang="stylus">//样式穿透>>> 
</style>

本文标签: Vue使用css预处理器(LessSassStylus)